package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.PD;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.List;
import java.util.Map;


/**
 * @ClassName : BEH0005
 * @Description :主诉症状时间描述前后不合理
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0005 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        List<Clinical> clinicals = inputInfo.getBeHospitalizedDoc().getChiefLabel().getClinicals();
        String chief_text = inputInfo.getBeHospitalizedDoc().getChiefLabel().getText();
        int year = chief_text.indexOf("年");
        int month = chief_text.indexOf("月");
        int day = chief_text.indexOf("天");
        System.out.println();
        if(year<month && month<day){
            status = "0";
        }


    }
}