package com.lantone.qc.pub.model.keys;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * @Description: 各个模块标准key，各地公用
 * @author: rengb
 * @time: 2020/3/5 14:50
 */
public class ModelStandardKeys {

    //入院病历的标准key
    public static final List<String> beHospitalized = Lists.newArrayList(
            "姓名",
            "性别",
            "年龄",
            "民族",
            "职业",
            "出生地",
            "婚姻",
            "联系地址",
            "病史陈述者",
            "出生日期",
            "户口地址",
            "电话",
            "入院日期",
            "记录日期",
            "主诉",
            "现病史",
            "既往史",
            "个人史",
            "婚育史",
            "月经史",
            "家族史",
            "体格检查",
            "专科体格检查",
            "辅助检查",
            "初步诊断",
            "修正诊断",
            "医师签名",
            "补充诊断"
    );

    //出院小结的标准key
    public static final List<String> leaveHospital = Lists.newArrayList(
            "姓名",
            "性别",
            "年龄",
            "床号",
            "入院时间",
            "出院时间",
            "入院诊断",
            "出院诊断",
            "住院天数",
            "入院情况",
            "诊治经过",
            "出院情况",
            "出院医嘱",
            "健康教育",
            "随访计划",
            "温馨提示",
            "医师签名",
            "签名时间"
    );

}